## org.apache.xerces.utils
Class StringPool

    java.lang.Object
      |
      +--org.apache.xerces.utils.StringPool

public final class StringPool
extends java.lang.Object

Version:

Inner Class Summary
`class` `StringPool.CharArrayRange`
`static interface` `StringPool.StringProducer`

Field Summary
`static int` `EMPTY_STRING`
`static int` `NULL_STRING` Constants

Constructor Summary
`StringPool()`

Method Summary
`int` `addNewSymbol(java.lang.String str, int hashcode)`
`int` `addString(java.lang.String str)`
`int` `addString(StringPool.StringProducer stringProducer, int offset, int length)`
`boolean` `addStringToList(int stringListIndex, int stringIndex)`
`int` `addSymbol(int stringIndex)`
`int` `addSymbol(java.lang.String str)`
`int` `addSymbol(StringPool.StringProducer stringProducer, int offset, int length, int hashcode)`
`StringPool.CharArrayRange` `createCharArrayRange()`
`int` `createNonMatchingSymbol(int startOffset, int entry, int[] entries, int offset)`
`boolean` `equalNames(int stringIndex1, int stringIndex2)`
`void` `finishStringList(int stringListIndex)`
`void` `getCharArrayRange(int symbolIndex, StringPool.CharArrayRange r)`
`SymbolCache` `getSymbolCache()`
`int` `lookupSymbol(StringPool.StringProducer stringProducer, int offset, int length, int hashcode)`
`java.lang.String` `orphanString(int stringIndex)`
`void` `releaseString(int stringIndex)`
`void` `reset()`
`void` `resetShuffleCount()`
`int` `startStringList()`
`boolean` `stringInList(int stringListIndex, int stringIndex)`
`int[]` `stringListAsIntArray(int stringListIndex)`
`java.lang.String` `stringListAsString(int stringListIndex)`
`int` `stringListLength(int stringListIndex)`
`java.lang.String` `toString(int stringIndex)`
`void` `updateCacheLine(int symbolIndex, int totalMisses, int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_STRING

    public static final int NULL_STRING

  Constants

### EMPTY_STRING

    public static final int EMPTY_STRING

Constructor Detail

### StringPool

    public StringPool()

Method Detail

### reset

    public void reset()

### addString

    public int addString(java.lang.String str)

### addString

    public int addString(StringPool.StringProducer stringProducer,
                         int offset,
                         int length)

### getSymbolCache

    public SymbolCache getSymbolCache()

### resetShuffleCount

    public void resetShuffleCount()

### updateCacheLine

    public void updateCacheLine(int symbolIndex,
                                int totalMisses,
                                int length)

### createNonMatchingSymbol

    public int createNonMatchingSymbol(int startOffset,
                                       int entry,
                                       int[] entries,
                                       int offset)
                                throws java.lang.Exception

### addSymbol

    public int addSymbol(java.lang.String str)

### addSymbol

    public int addSymbol(StringPool.StringProducer stringProducer,
                         int offset,
                         int length,
                         int hashcode)

### lookupSymbol

    public int lookupSymbol(StringPool.StringProducer stringProducer,
                            int offset,
                            int length,
                            int hashcode)

### addNewSymbol

    public int addNewSymbol(java.lang.String str,
                            int hashcode)

### addSymbol

    public int addSymbol(int stringIndex)

### createCharArrayRange

    public StringPool.CharArrayRange createCharArrayRange()

### getCharArrayRange

    public void getCharArrayRange(int symbolIndex,
                                  StringPool.CharArrayRange r)

### equalNames

    public boolean equalNames(int stringIndex1,
                              int stringIndex2)

### startStringList

    public int startStringList()

### addStringToList

    public boolean addStringToList(int stringListIndex,
                                   int stringIndex)

### finishStringList

    public void finishStringList(int stringListIndex)

### stringListLength

    public int stringListLength(int stringListIndex)

### stringInList

    public boolean stringInList(int stringListIndex,
                                int stringIndex)

### stringListAsString

    public java.lang.String stringListAsString(int stringListIndex)

### stringListAsIntArray

    public int[] stringListAsIntArray(int stringListIndex)

### releaseString

    public void releaseString(int stringIndex)

### toString

    public java.lang.String toString(int stringIndex)

### orphanString

    public java.lang.String orphanString(int stringIndex)

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.